Error : 3 arguments are required, 2 given

More
19 Jul 2023 21:36 #8119 by Bruno PASSERAT
Hello everyone
I hope you are doing well
I installed the pack SermonSpeaker-6.0.7 on Joomla 4.3.3 and it works very well
I have a problem when I update to SermonSpeaker Component 6.0.8 : When I click on a sermon, a serie or a speaker I get this error 3 arguments are required, 2 given

See attached files
Thank you in advance for your help
Bruno
Attachments:

Please Log in or Create an account to join the conversation.

More
19 Jul 2023 22:18 #8120 by Thomas Hunziker
Make sure, you have the latest Joomla language pack installed. Usually that is the issue.

Please Log in or Create an account to join the conversation.

More
20 Jul 2023 13:10 #8121 by Bruno PASSERAT
Hi Thomas
Thank you for your answer
Everything in Joomla is up to date
French (fr-FR) Site Langue 4.3.3 07-2023
Current PHP version 8.1
Bruno

Please Log in or Create an account to join the conversation.

More
20 Jul 2023 16:17 #8122 by Thomas Hunziker
Please verify that it's the version 4.3.3.2 ( downloads.joomla.org/language-packs/tran...loads/joomla4-french ). Apparently they had a wrong one first and released a second one a few minutes later.

Can you also check if it happens with english as active language?

I will test myself this evening with a french language pack and see if I can reproduce it.

Please Log in or Create an account to join the conversation.

More
20 Jul 2023 16:31 - 20 Jul 2023 16:34 #8123 by Bruno PASSERAT
I installed the version 4.3.3.2 this morning
I just tried in english and it works !
I will ask on the French Joomla forum
Do you know if there is other french users of SermonSpeaker
 
Last edit: 20 Jul 2023 16:34 by Bruno PASSERAT. Reason: Correction

Please Log in or Create an account to join the conversation.

More
20 Jul 2023 17:58 #8124 by Thomas Hunziker
I was able to reproduce this. It's indeed an error in a language file. But this time it was an error in the SermonSpeaker language files, not the Joomla ones.

I've fixed it in my development version. You can install the attached version and it should work. 

File Attachment:

File Name: com_sermon...7-20.zip
File Size:4,161 KB


As for users of SermonSpeaker: I don't know who is using it. And since the files are hosted on GitHub, I don't even have download statistics. So I can't answer you that.
The following user(s) said Thank You: Bruno PASSERAT

Please Log in or Create an account to join the conversation.

Time to create page: 0.326 seconds
Powered by Kunena Forum